# AbstractHandler

This is an abstract class all SAX handler classes must extend

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: f9449e6f47abcdaf727d3e42eeac9ab1c43998a2 $
package | phing.parser

### Methods

## Constructs a SAX handler parser.

    __construct( $parser,  $parentHandler)

The constructor must be called by all derived classes.

### Arguments

#### $parser

``

#### $parentHandler

``

## Invoked by occurrence of #PCDATA.

    characters( $data)

throws |
exception | ExpatParserException if there is no CDATA but method was called

### Arguments

#### $data

``

## Gets invoked when a XML element ends.

    endElement( $name)

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

### Arguments

#### $name

``

## Gets invoked when element closes method.

    finished()

### Properties

## parentHandler

    parentHandler :

### Type(s)

``

## parser

    parser :

### Type(s)

``